Reply to post: Shock Horror!

Wait, what? Citrix Receiver sessions run on crocked crypto!

Anonymous Coward
Anonymous Coward

Shock Horror!

Mature <PRODUCT> supports old ciphers now considered insecure for backwards compatibility. It also supports all the new secure ciphers. Old ciphers are now being deprecated as you should no longer use them.

How is this a story? In this case <PRODUCT> is Citrix receiver, but you could also easily insert Windows, Linux, BSD, Kemp, F5 or pretty much anything that uses SSL/TLS.

POST COMMENT House rules

Not a member of The Register? Create a new account here.

  • Enter your comment

  • Add an icon

Anonymous cowards cannot choose their icon

SUBSCRIBE TO OUR WEEKLY TECH NEWSLETTER

Biting the hand that feeds IT © 1998–2020